#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%{name}5-1
#-----------------------------------------------------------------------------
Name		:	polkit-qt
Version		:	v0.200.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Qt bindings for PolicyKit
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://projects.kde.org/projects/kdesupport/polkit-qt-1 

Source0		:	%{name}-1-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	mesa-devel
BuildRequires	:	polkit-devel
#-----------------------------------------------------------------------------
%description
polkit is a library that lets developers use the PolicyKit
API through a nice Qt-styled API. It is mainly a wrapper around
QAction and QAbstractButton that lets you integrate those two
component easily with PolicyKit.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)

#=============================================================================
%package		-n %{name}6
Summary		:	PolicyKit Qt6 bindings

#-----------------------------------------------------------------------------
BuildRequires	:	qt6-qtbase-devel
BuildRequires	:	qt6-qtbase-gui

#-----------------------------------------------------------------------------
%description		-n %{name}6
Polkit-qt is a library that lets developers
use the PolicyKit API through a nice Qt-styled API.

#-----------------------------------------------------------------------------
%files			-n %{name}6
%defattr(-,root,root,-)
%doc AUTHORS README
%license LICENSES/*
%{_libdir}/lib%{name}6-core-1.so.1*
%{_libdir}/lib%{name}6-gui-1.so.1*
%{_libdir}/lib%{name}6-agent-1.so.1*

#=============================================================================
%package		-n %{name}6-devel
Summary		:	Development files for PolicyKit Qt6 bindings

#-----------------------------------------------------------------------------

Requires	:	%{name}6	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		-n %{name}6-devel
Polkit-qt is a library that lets developers
use the PolicyKit API through a nice Qt-styled API.

#-----------------------------------------------------------------------------
%files			-n %{name}6-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}6-1/
%{_libdir}/lib%{name}6-core-1.so
%{_libdir}/lib%{name}6-gui-1.so
%{_libdir}/lib%{name}6-agent-1.so
%{_libdir}/pkgconfig/%{name}6-1.pc
%{_libdir}/pkgconfig/%{name}6-core-1.pc
%{_libdir}/pkgconfig/%{name}6-gui-1.pc
%{_libdir}/pkgconfig/%{name}6-agent-1.pc
%{_libdir}/cmake/PolkitQt6-1/PolkitQt6-1*.cmake

#=============================================================================
%package		-n %{name}5
Summary		:	PolicyKit Qt5 bindings

#-----------------------------------------------------------------------------
BuildRequires	:	qt5-qtbase-devel
BuildRequires	:	qt5-qtbase-gui

#-----------------------------------------------------------------------------
%description		-n %{name}5
Polkit-qt is a library that lets developers
use the PolicyKit API through a nice Qt-styled API.

#-----------------------------------------------------------------------------
%files			-n %{name}5
%defattr(-,root,root,-)
%doc AUTHORS README
%license LICENSES/*
%{_libdir}/lib%{name}5-core-1.so.1*
%{_libdir}/lib%{name}5-gui-1.so.1*
%{_libdir}/lib%{name}5-agent-1.so.1*

#=============================================================================
%package		-n %{name}5-devel
Summary		:	Development files for PolicyKit Qt5 bindings

#-----------------------------------------------------------------------------

Requires	:	%{name}5	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		-n %{name}5-devel
Polkit-qt is a library that lets developers
use the PolicyKit API through a nice Qt-styled API.

#-----------------------------------------------------------------------------
%files			-n %{name}5-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}5-1/
%{_libdir}/lib%{name}5-core-1.so
%{_libdir}/lib%{name}5-gui-1.so
%{_libdir}/lib%{name}5-agent-1.so
%{_libdir}/pkgconfig/%{name}5-1.pc
%{_libdir}/pkgconfig/%{name}5-core-1.pc
%{_libdir}/pkgconfig/%{name}5-gui-1.pc
%{_libdir}/pkgconfig/%{name}5-agent-1.pc
%{_libdir}/cmake/PolkitQt5-1/PolkitQt5-1*.cmake

#=============================================================================
%prep
%setup -q -n %{name}-1-%{version}

#-----------------------------------------------------------------------------
#building application
%build

cmake								\
	-B _bld-qt6						\
	-S .							\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D CMAKE_BUILD_TYPE=Release				\
	-D QT_MAJOR_VERSION=6					\

cmake								\
	-B _bld-qt5						\
	-S .							\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D CMAKE_BUILD_TYPE=Release				\
	-D QT_MAJOR_VERSION=5					\

cmake								\
	--build _bld-qt6					\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)	\

cmake								\
	--build _bld-qt5					\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)	\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install					\
	_bld-qt6


DESTDIR=%{buildroot}					\
	cmake						\
	--install					\
	_bld-qt5

#-----------------------------------------------------------------------------
%changelog
